Zend Server Install / Uninstall Requires 'which' Command (FIXED)

Follow

Applies to:
Zend Server 8.x
Linux (Specifically Reported under CentOS 7)
Current CentOS 7 image for Docker

Fixed in:
Zend Server 9.0

Problem

When installing Zend Server using the Linux installer, you might get this error:

"Your system doesn't support either dpkg or rpm"

When running uninstall.sh to remove Zend Server, you might get this error:

"/usr/local/zend/bin/uninstall.sh: line 66: which: command not found"

Workaround

Install 'which' command and run the installation / uninstall again.

Resolution

This was resolved in Zend Server 9.0, by removing dependency of 'which' package from installation scripts.


Tags: ZSRV-14145 ZSRV-16353 Linux Install Which
Have more questions? Submit a request

Comments

Powered by Zendesk